Index: stylesheets/blfs-chunked.xsl
===================================================================
--- stylesheets/blfs-chunked.xsl	(revision eff382656eaa048ba286a7948a4212896dedfe91)
+++ stylesheets/blfs-chunked.xsl	(revision eff382656eaa048ba286a7948a4212896dedfe91)
@@ -0,0 +1,88 @@
+<?xml version='1.0'?>
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+  <!-- We use XHTML -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
+  <xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>
+
+  <!-- The CSS Stylesheet -->
+  <xsl:param name="html.stylesheet" select="'../stylesheets/blfs.css'"/>
+
+  <!-- Use graphics in admonitions -->
+  <xsl:param name="admon.graphics" select="1"/>
+  <xsl:param name="admon.graphics.path">../images/</xsl:param>
+  <xsl:param name="admon.graphics.extension" select="'.png'"/>
+
+  <!-- Legal Notice stuff -->
+  <xsl:param name="generate.legalnotice.link" select="1"/>
+  <xsl:template match="legalnotice" mode="titlepage.mode">
+    <xsl:variable name="id"><xsl:call-template name="object.id"/></xsl:variable>
+    <xsl:choose>
+      <xsl:when test="$generate.legalnotice.link != 0">
+        <xsl:variable name="filename">
+          <xsl:call-template name="make-relative-filename">
+            <xsl:with-param name="base.dir" select="''"/>
+            <xsl:with-param name="base.name" select="concat($base.dir, 'prologue/legalnotice.html')"/>
+          </xsl:call-template>
+        </xsl:variable>
+        <xsl:variable name="title">
+          <xsl:apply-templates select="." mode="title.markup"/>
+        </xsl:variable>
+        <xsl:element name="a">
+          <xsl:attribute name="href">
+            <xsl:value-of select="'prologue/legalnotice.html'"/>
+          </xsl:attribute>
+          <xsl:copy-of select="$title"/>
+        </xsl:element>
+        <xsl:call-template name="write.chunk">
+          <xsl:with-param name="filename" select="$filename"/>
+          <xsl:with-param name="quiet" select="$chunk.quietly"/>
+          <xsl:with-param name="content">
+            <html>
+              <head>
+                <xsl:call-template name="system.head.content"/>
+                <xsl:call-template name="head.content"/>
+                <xsl:call-template name="user.head.content"/>
+              </head>
+              <body>
+                <xsl:call-template name="body.attributes"/>
+                <div class="{local-name(.)}">
+                  <xsl:apply-templates mode="titlepage.mode"/>
+                </div>
+              </body>
+            </html>
+          </xsl:with-param>
+        </xsl:call-template>
+      </xsl:when>
+      <xsl:otherwise>
+        <div class="{local-name(.)}">
+          <xsl:apply-templates mode="titlepage.mode"/>
+        </div>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+  <!--TOC stuff-->
+  <xsl:param name="generate.toc">
+    appendix  toc
+    book      toc,title,figure,table,example,equation
+    chapter   nop
+    part      toc
+    preface   nop
+    qandadiv  nop
+    qandaset  nop  
+    reference nop
+    sect1     nop
+    sect2     nop
+    sect3     nop
+    sect4     nop
+    sect5     nop
+    section   nop
+    set       nop
+  </xsl:param>
+  <xsl:param name="toc.section.depth">1</xsl:param>
+  <xsl:param name="toc.max.depth">3</xsl:param>
+
+</xsl:stylesheet>
Index: stylesheets/blfs-pdf.xsl
===================================================================
--- stylesheets/blfs-pdf.xsl	(revision eff382656eaa048ba286a7948a4212896dedfe91)
+++ stylesheets/blfs-pdf.xsl	(revision eff382656eaa048ba286a7948a4212896dedfe91)
@@ -0,0 +1,128 @@
+<?xml version='1.0'?>
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns:fo="http://www.w3.org/1999/XSL/Format"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+  <!-- We use FO and FOP as the processor -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl"/>
+  <xsl:param name="fop.extensions" select="1"/>
+  <xsl:param name="draft.mode" select="'no'"/>
+  <!-- Probably want to make the paper size configurable -->
+  <xsl:param name="paper.type" select="'Letter'"/>
+
+
+  <!-- Font size -->
+  <xsl:param name="body.font.master">8</xsl:param>
+  <xsl:param name="body.font.size">10pt</xsl:param>
+
+  <!-- Margins -->
+  <xsl:param name="page.margin.inner">1in</xsl:param>
+  <xsl:param name="page.margin.outer">0.5in</xsl:param>
+  <xsl:param name="title.margin.left">-1pc</xsl:param>
+
+  <!-- TOC stuff -->
+  <xsl:param name="generate.toc">
+    book      toc
+    part      nop
+  </xsl:param>
+  <xsl:param name="toc.section.depth">1</xsl:param>
+  <xsl:param name="generate.section.toc.level" select="-1"></xsl:param>
+  <xsl:param name="toc.indent.width" select="18"></xsl:param>
+
+  <!-- Force section1's onto a new page -->
+  <xsl:attribute-set name="section.level1.properties">
+    <xsl:attribute name="break-after">page</xsl:attribute>
+  </xsl:attribute-set>
+
+  <!-- Columns in appendix -->
+  <xsl:param name="column.count.back" select="2"/>
+
+  <!-- Don't hyphenate -->
+  <xsl:param name="hyphenate">false</xsl:param>
+  <xsl:param name="alignment">left</xsl:param>
+
+  <!-- Page number in Xref-->
+  <xsl:param name="insert.xref.page.number">yes</xsl:param>
+  <xsl:template match="xref" name="xref">
+    <xsl:variable name="targets" select="key('id',@linkend)"/>
+    <xsl:variable name="target" select="$targets[1]"/>
+    <xsl:variable name="refelem" select="local-name($target)"/>
+    <xsl:call-template name="check.id.unique">
+      <xsl:with-param name="linkend" select="@linkend"/>
+    </xsl:call-template>
+    <xsl:choose>
+      <xsl:when test="$refelem=''">
+        <xsl:message>
+          <xsl:text>XRef to nonexistent id: </xsl:text>
+          <xsl:value-of select="@linkend"/>
+        </xsl:message>
+        <xsl:text>???</xsl:text>
+      </xsl:when>
+      <xsl:when test="@endterm">
+        <fo:basic-link internal-destination="{@linkend}"
+                       xsl:use-attribute-sets="xref.properties">
+          <xsl:variable name="etargets" select="key('id',@endterm)"/>
+          <xsl:variable name="etarget" select="$etargets[1]"/>
+          <xsl:choose>
+            <xsl:when test="count($etarget) = 0">
+              <xsl:message>
+                <xsl:value-of select="count($etargets)"/>
+                <xsl:text>Endterm points to nonexistent ID: </xsl:text>
+                <xsl:value-of select="@endterm"/>
+              </xsl:message>
+              <xsl:text>???</xsl:text>
+            </xsl:when>
+            <xsl:otherwise>
+              <xsl:apply-templates select="$etarget" mode="endterm"/>
+            </xsl:otherwise>
+          </xsl:choose>
+        </fo:basic-link>
+      </xsl:when>
+      <xsl:when test="$target/@xreflabel">
+        <fo:basic-link internal-destination="{@linkend}"
+                       xsl:use-attribute-sets="xref.properties">
+          <xsl:call-template name="xref.xreflabel">
+            <xsl:with-param name="target" select="$target"/>
+          </xsl:call-template>
+        </fo:basic-link>
+      </xsl:when>
+      <xsl:otherwise>
+        <fo:basic-link internal-destination="{@linkend}"
+                       xsl:use-attribute-sets="xref.properties">
+          <xsl:apply-templates select="$target" mode="xref-to">
+            <xsl:with-param name="referrer" select="."/>
+            <xsl:with-param name="xrefstyle">
+              <xsl:choose>
+                <xsl:when test="@role and not(@xrefstyle) and $use.role.as.xrefstyle != 0">
+                  <xsl:value-of select="@role"/>
+                </xsl:when>
+                <xsl:otherwise>
+                  <xsl:value-of select="@xrefstyle"/>
+                </xsl:otherwise>
+              </xsl:choose>
+            </xsl:with-param>
+          </xsl:apply-templates>
+        </fo:basic-link>
+      </xsl:otherwise>
+    </xsl:choose>
+    <xsl:if test="not(starts-with(normalize-space(@xrefstyle), 'select:') != ''
+                  and (contains(@xrefstyle, 'page')
+                   or contains(@xrefstyle, 'Page')))
+                  and ( $insert.xref.page.number = 'yes'
+                   or $insert.xref.page.number = '1')
+                   or local-name($target) = 'para'">
+      <fo:basic-link internal-destination="{@linkend}"
+                     xsl:use-attribute-sets="xref.properties">
+      	<xsl:text>, p. </xsl:text>
+        <xsl:apply-templates select="$target" mode="page.citation">
+          <xsl:with-param name="id" select="@linkend"/>
+        </xsl:apply-templates>
+      </fo:basic-link>
+    </xsl:if>
+  </xsl:template>
+
+  <!-- Prevent duplicate e-mails in the Acknowledgments pages-->
+  <xsl:param name="ulink.show" select="0"/>
+
+</xsl:stylesheet>
Index: stylesheets/blfs.css
===================================================================
--- stylesheets/blfs.css	(revision eff382656eaa048ba286a7948a4212896dedfe91)
+++ stylesheets/blfs.css	(revision eff382656eaa048ba286a7948a4212896dedfe91)
@@ -0,0 +1,109 @@
+body {
+  font-weight: normal;
+  font-size: normal;
+  font-family: verdana, tahoma, helvetica, arial, sans-serif;
+  text-align: left;
+}
+
+div.navheader table {
+    font-size: smaller;
+}
+
+div.navfooter table {
+    font-size: smaller;
+}
+
+div.navheader img {
+    border: medium none;
+}
+
+div.navfooter img {
+    border: medium none;
+}
+
+div.book div.titlepage h1.title {
+    font-weight: bold;
+    font-size: xx-large;
+    text-align: center;
+}
+
+div.book div.titlepage h2.subtitle {
+    font-weight: bold;
+    font-size: x-large;
+    text-align: center;
+}
+
+div.book div.titlepage h3.author {
+    font-size: large;
+}
+
+div.book div.dedication div.titlepage h2.title {
+    font-weight: normal;
+    font-size: x-large;
+}
+
+div.chapter div.titlepage h2.title {
+    font-weight: bold;
+    font-size: x-large;
+    text-align: left;
+}
+
+div.sect1 div.titlepage h2.title {
+    font-weight: bold;
+    font-size: x-large;
+    text-align: left;
+}
+
+tt {
+    font-family: courier, monospace;
+}
+
+pre.screen {
+    color: black;
+    background-color: #dddddd;
+}
+
+pre.synopsis {
+    color: black;
+    background-color: #dddddd;
+}
+
+div.warning {
+    border: 1px solid;
+}
+
+div.note {
+    border: 1px solid;
+}
+
+div.important {
+    border: 1px solid;
+}
+
+div.caution {
+    border: 1px solid;
+}
+
+div.warning h3.title {
+    text-align: center
+}
+
+div.warning p {
+    padding-left: 0.2in
+}
+
+div.note {
+    padding-left: 0.2in
+}
+
+div.important {
+    padding-left: 0.2in
+}
+
+div.caution {
+    padding-left: 0.2in
+}
+
+.command {
+    font-family: courier, monospace;
+}
